import { jsx } from "react/jsx-runtime";
import { TokenDOG as TokenDOG$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenDOG = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "DOG", "data-name": "TokenDOG", ...props, children: /* @__PURE__ */ jsx(TokenDOG$1, { variant }) });
  }
);
TokenDOG.displayName = "TokenDOG";
Object.assign(TokenDOG, { isGdsIcon: true });
export {
  TokenDOG
};
